-- Load the standard graphics and stuff.

-- Official Cave Story graphics table entries (used by npc.tbl, don't change these)
Title = 0x00
Tiles = 0x02
Fade = 0x06
ItemImage = 0x08
MyChar = 0x10
Bullet = 0x11
Caret = 0x13
NpcSym = 0x14
Npc1 = 0x15
Npc2 = 0x16
NpcRegu = 0x17

-- New/Unknown table entries
bkImg = 0x03
TextBox = 0x04
Face = 0x05
Console = 0x20

-- Initialize the table; Load up all the static graphics.
graphics = {
	[Title] = pbm.load("Title",nil,false),
	[Tiles] = nil, -- Map tiles
	[bkImg] = nil, -- Map background
	[TextBox] = pbm.load("TextBox"),
	[Face] = pbm.load("Face"),
	[Fade] = pbm.load("Fade"),
	[ItemImage] = pbm.load("ItemImage"),
	[MyChar] = pbm.load("MyChar"),
	[Bullet] = pbm.load("Bullet"),
	[Caret] = pbm.load("Caret"),
	[NpcSym] = pbm.load("Npc/NpcSym"),
	[Npc1] = nil, -- Map NPC 1
	[Npc2] = nil, -- Map NPC 2
	[NpcRegu] = pbm.load("Npc/NpcRegu"),
	[Console] = pbm.load("Console")
}

do
	local count = 0
	for _ in pairs(graphics)
		count = count+1
	end
	console.debug("Found "..count.." static graphics.")
end
